Forms
Build and publish forms, and read what comes in.
- GET
/forms - POST
/forms - GET
/forms/{id} - PATCH
/forms/{id} - DELETE
/forms/{id} - POST
/forms/{id}/publish - POST
/forms/{id}/unpublish - GET
/forms/{id}/submissions
List forms
GET
/formsScope
forms:viewRead-onlyResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/forms" \ -H "Authorization: Bearer $KLERC_TOKEN"Create a form
POST
/formsScope
forms:manageWrites dataRequest body
| Field | Type |
|---|---|
namerequired | string |
description | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/forms" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"name":"…","description":"…"}'Get a form
GET
/forms/{id}Scope
forms:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/forms/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Update a form
PATCH
/forms/{id}Scope
forms:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/forms/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Delete a form
DELETE
/forms/{id}Scope
forms:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/forms/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Publish a form
POST
/forms/{id}/publishScope
forms:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/forms/{id}/publish" \ -H "Authorization: Bearer $KLERC_TOKEN"Unpublish a form
POST
/forms/{id}/unpublishScope
forms:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/forms/{id}/unpublish" \ -H "Authorization: Bearer $KLERC_TOKEN"List a form's submissions
GET
/forms/{id}/submissionsScope
forms:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Query parameters
| Name | Type |
|---|---|
limit | number |
cursor | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/forms/{id}/submissions?limit=25" \ -H "Authorization: Bearer $KLERC_TOKEN"